HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetRecipients

Contains the different functions to run the operation getRecipients

  • 6 types
  • 4 values
valuegetRecipients
  1. :: MonadHTTP m
  2. => GetRecipientsParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetRecipientsResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/recipients

<p>Returns a list of your recipients. The recipients are returned sorted by creation date, with the most recently created recipients appearing first.</p>

Defines the object schema located at paths./v1/recipients.GET.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON
Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/recipients.GET.parameters.properties.queryCreated.anyOf in the specification.

Represents the parameter named 'created'

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/recipients.GET.parameters.properties.queryType in the specification.

Represents the parameter named 'type'

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation getRecipients.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetRecipientsResponseError is used.

Constructors

Instances2Eq, Show

Defines the object schema located at paths./v1/recipients.GET.responses.200.content.application/json.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON